ImportAttributeTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.ImportAttributeTag,ImportAttributeTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class ImportAttributeTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.ImportAttributeTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class ImportAttributeTag
extends javax.servlet.jsp.tagext.TagSupport

Import attribute from component to requested scope. Attribute name and scope are optional. If not specified, all component attributes are imported in page scope.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `isErrorIgnored` Are errors ignored.
`private java.lang.String` | `name` Class name of object.
`private int` | `scope` The scope value.
`private java.lang.String` | `scopeName` The scope name.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImportAttributeTag()`

Method Summary
`int` | `doEndTag()` Clean up after processing this enumeration.
`int` | `doStartTag()` Expose the requested property from component context.
`boolean` | `getIgnore()` Get ignore flag.
`java.lang.String` | `getName()` Get the name.
`java.lang.String` | `getScope()` Get scope.
`void` | `release()` Release all allocated resources.
`void` | `setIgnore(boolean ignore)` Set ignore flag.
`void` | `setName(java.lang.String name)` Set the name.
`void` | `setScope(java.lang.String scope)` Set the scope.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

  Class name of object.

### scopeName

    private java.lang.String scopeName

  The scope name.

### scope

    private int scope

  The scope value.

### isErrorIgnored

    protected boolean isErrorIgnored

  Are errors ignored. This is the property for attribute `ignore`. Default value is `false`, which throws an exception. Only "attribute not found" - errors are ignored.

Constructor Detail

### ImportAttributeTag

    public ImportAttributeTag()

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getName

    public java.lang.String getName()

  Get the name.

  Returns:
    Name.

### setName

    public void setName(java.lang.String name)

  Set the name.

  Parameters:
    `name` - The new name

### setScope

    public void setScope(java.lang.String scope)

  Set the scope.

  Parameters:
    `scope` - Scope.

### getScope

    public java.lang.String getScope()

  Get scope.

  Returns:
    Scope.

### setIgnore

    public void setIgnore(boolean ignore)

  Set ignore flag.

  Parameters:
    `ignore` - default: `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### getIgnore

    public boolean getIgnore()

  Get ignore flag.

  Returns:
    default: `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Expose the requested property from component context.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - On errors processing tag.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Clean up after processing this enumeration.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - On errors processing tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation